明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1261|回复: 2

序号标注能不能改成不要外圈?

[复制链接]
发表于 2009-6-20 18:49:00 | 显示全部楼层 |阅读模式

网上下的序号标注能不能改成不要外圈?并可标注01或B015。请高手帮忙。

(defun c:nd ()
   (setvar "CMDECHO" 0)
   (setq sc (getdist "\nselect a point to point 从一点到另一点确定字体高度 :"))
   (setq bn (getint "\nInput begin number 输入起始序号:"))
   (setq sc1 (* sc 0.53))
   (while (setq p1 (getpoint "\nInsert Point :"))
    (command "circle" p1 "d" sc)
    (command "text" "j" "m" p1 sc1 "" bn)
    (setq s1 (entlast))
    (setq txtn (itoa bn))
    (setq bn (1+ bn))
    (while (and (setq ss (ssget "X" (list '(0 . "TEXT") (cons 1 txtn))))
           (= (sslength ss) 2))
     (setq ss (ssdel s1 ss)
           s1 (ssname ss 0)
           ent (entget s1)
           txtn (itoa (1+ (atoi txtn)))
           ent (subst (cons 1 txtn) (assoc 1 ent) ent))
     (entmod ent)
    )
   )
   (setvar "CMDECHO" 1)
   (princ)
)

发表于 2009-6-20 21:56:00 | 显示全部楼层

不要外圈---去掉 (command "circle" p1 "d" sc)

标注01或B015---不是太懂

 楼主| 发表于 2009-6-20 23:19:00 | 显示全部楼层
谢谢,已经很好了
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-10-1 05:41 , Processed in 0.172372 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表